CRM / Pipeline / REST API
Create crm task
Create a task without sending. Reuse idempotencyKey for uncertain retries within 24 hours.
POST /api/crm/tasksDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
prospectIdRequired · string- See the input schema for this field.
titleRequired · string- See the input schema for this field.
dueDateOptional · string | null- See the input schema for this field.
idempotencyKeyRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/crm/tasks" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"prospectId":"00000000-0000-4000-8000-000000000000","title":"example","idempotencyKey":"example"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"prospectId": {
"type": "string"
},
"title": {
"type": "string"
},
"dueDate": {
"type": [
"string",
"null"
]
},
"idempotencyKey": {
"type": "string"
}
},
"required": [
"prospectId",
"title",
"idempotencyKey"
]
}